Package org.pushingpixels.substance.internal.utils.icon

# Class CheckBoxMenuItemIcon

java.lang.Object
org.pushingpixels.substance.internal.utils.icon.CheckBoxMenuItemIcon

All Implemented Interfaces:
  `Icon`, `UIResource`

public class CheckBoxMenuItemIcon extends Object implements Icon, UIResource
Icon for the `JCheckBoxMenuItem`s.

## Constructor Summary

Constructors
Constructor
Description
`CheckBoxMenuItemIcon(JMenuItem menuItem, int size)`
Creates a new icon.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckBoxMenuItemIcon

public CheckBoxMenuItemIcon(JMenuItem menuItem, int size)
Creates a new icon.

Parameters:
  `menuItem` - The corresponding menu item.
  `size` - The size of `this` icon.

## Method Details

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`